<?php
    session_start();
    include "db_connect.php";
    include "get_mac.php";
    
    if (isset($_SESSION['msg'])) {
        header("Location: index.php");
        exit();
    }
    
    if (isset($_POST['uname']) && isset($_POST['upasswd'])) {
        function validate($data) {
            $data = trim($data);
            $data = stripcslashes($data);
            $data = htmlspecialchars($data);
            return $data;
        }
    }

    try {
        $uname = validate(str_pad($_POST['uname'], 3, '0', STR_PAD_LEFT));
        $upasswd = validate($_POST['upasswd']);
        
        if (empty($uname)) {
            $_SESSION['error'] = true;
            $_SESSION['msg'] = "Usuário requerido";
            header("Location: index.php");
            exit();
        } else if (empty($upasswd)) {
            $_SESSION['error'] = true;
            $_SESSION['msg'] = "Senha requerida";
            header("Location: index.php");
            exit();
        } else {
            $query = "SELECT * FROM vendedor WHERE (arcodvde = '$uname' OR arnomvde = '$uname') AND arsenvde = '$upasswd' AND artipvde_5= '1'";
            $res = mysqli_query($conn, $query);
            //echo "Registros: " . mysqli_num_rows($res) . " - " . mysqli_error($conn);
            if (mysqli_num_rows($res) === 1) {
                $row = mysqli_fetch_assoc($res);
                //echo "logado!";
                $_SESSION['id'] = $row['sr_recno'];
                $_SESSION['codigo'] = $row['arcodvde'];
                $_SESSION['ip'] = $_SERVER['REMOTE_ADDR'];
                //$_SESSION['mac'] = $get_mac();
                $_SESSION['nome'] = $row['arnomvde'];
                $_SESSION['nome_completo'] = $row['arnomeve'];
                $_SESSION['estoque'] = $row['artipvde_5']; // estoquista
                $_SESSION['preco'] = $row['artipvde_3']; // cobrador
                $_SESSION['custo'] = $row['artipvde_6']; // separador
                                
                //$_SESSION['ultima_alteracao'] = $row['ultimo_acesso'];
                header("Location: produtos.php");
                exit();
            } else {
                //echo "falha no login!";
                $_SESSION['error'] = true;
                $_SESSION['msg'] = "Usuário ou senha incorretos.";
                header("Location: index.php");
                exit();
            }
        }
    } catch (Exception $e) {
        $_SESSION['error'] = true;
        $_SESSION['msg'] = $e->getMessage();
        header("Location: index.php");
        exit();
    }


?>